@Echo off
SETLOCAL EnableDelayedExpansion

Echo === DevKit Log.cmd ===

If "!__Alisha_compile_output!"=="" ( Exit /B )

Set __Alisha_compile_output=%__Alisha_compile_output:"=%

Echo __Alisha_compile_output is set as "!__Alisha_compile_output!"

If "!__Alisha_compile_output!"=="" ( Exit /B )

If Exist "!__Alisha_compile_output!" (
	Del /F "!__Alisha_compile_output!"
)

Type NUL >> "!__Alisha_compile_output!"

For /F "usebackq delims=" %%A In ( "..\!__Alisha_Project! (!__Alisha_version!)\.\DevKit\html\tree-meta.html" ) Do ( 
	Echo %%A >> !__Alisha_compile_output!
)

Echo ^<title^>!__Alisha_Project! DevKit Log ( %__Alisha_ts% )^</title^> >>!__Alisha_compile_output!

For /F "usebackq delims=" %%A In ( "..\!__Alisha_Project! (!__Alisha_version!)\.\DevKit\css\style.css" ) Do ( 
	Echo %%A >> !__Alisha_compile_output!
)

For /F "usebackq delims=" %%A In ( "..\!__Alisha_Project! (!__Alisha_version!)\.\DevKit\html\fav.html" ) Do ( 
	Echo %%A >> !__Alisha_compile_output!
)
(
	Echo ^</head^>
	Echo ^<body^>
	Echo ^<table^>
) >> !__Alisha_compile_output!
Echo ^<tr^>^<td colspan="1" class="logo"^> >> !__Alisha_compile_output!

For /F "usebackq delims=" %%A In ( "..\!__Alisha_Project! (!__Alisha_version!)\.\DevKit\html\logo.html" ) Do ( 
	Echo %%A >> !__Alisha_compile_output!
)
(
	Echo ^<td colspan="1" class="heading"^>
	
	Echo ^<h1^>"!__Alisha_Project!" DevKit Log^</h1^>
	Echo ^<h3^>!__Alisha_ts!^</h3^>
		
) >> !__Alisha_compile_output!

Echo ^</tr^> >> !__Alisha_compile_output!

If Exist "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe" ( 
	Echo ^<td colspan="2" class="options"^> >> !__Alisha_compile_output!
	(
		Echo ^<tr^>^<td colspan="2" class="options"^>
		Echo ^<h3^>Now Killing Task: "!__Alisha_Project!.exe"^</h3^>
		Echo ^</td^>^</tr^>

		Set /A "__Alisha_TaskCount=0"
		
		TaskList /FI "ImageName eq !__Alisha_Project!.exe" /FO csv 2>NUL | Find /I "!__Alisha_Project!.exe">NUL
		
		If "!__Alisha_ERRORLEVEL!"=="0" (
			
			For /F "UseBackQ Tokens=* Delims=SUCCESS: " %%Z In ( `TaskKill -F -IM "!__Alisha_Project!.exe"` ) Do (
				Set /A "__Alisha_TaskCount+=1"
				Echo ^<tr^>^<td class="numeric"^>
				Echo !__Alisha_TaskCount!
				Echo ^</td^>^<td class="options"^>
				Echo %%Z
				Echo ^</td^>^</tr^>
			)
			
		) Else (
				Echo ^<tr^>^<td class="numeric"^>
				Echo !__Alisha_TaskCount!
				Echo ^</td^>^<td class="options"^>
				Echo Not Found: "!__Alisha_Project!.exe"
				Echo ^</td^>^</tr^>		
		)
		
	) >> !__Alisha_compile_output!	
)

If Exist "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe" ( 
	(
		Echo ^<tr^>^<td colspan="2" class="options"^>
		Echo ^<h3^>Now Pruning: ".\!__Alisha_Project!.exe"^</h3^>
		Echo ^</td^>^</tr^>
	) >> !__Alisha_compile_output!	
	
	Del /F "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe"
	
	If Exist "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe" (
		(
			Echo ^<tr^>^<td colspan="2" class="options"^>
			Echo ^<h3^>Failed Pruning: ".\!__Alisha_Project!.exe"^</h3^>
			Echo ^</td^>^</tr^>
		) >> !__Alisha_compile_output!
	) Else If Not Exist "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe" (
		(
			Echo ^<tr^>^<td colspan="2" class="options"^>
			Echo ^<h3^>Successfully Pruned: ".\!__Alisha_Project!.exe"^</h3^>
			Echo ^</td^>^</tr^>
		) >> !__Alisha_compile_output!
	)	

)
If Not Exist "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe" ( 
	(
		Echo ^<tr^>^<td colspan="2" class="options"^>
		Echo ^<h3^>Now Compiling: %__Alisha_options_source% using:
		Echo ^</tr^>
		Echo ^<tr^>^<td colspan="2"^ class="compiler"^>	
		Echo %__Alisha_options_compiler%	
		Echo ^</td^>^</tr^>	
		Echo ^<tr^>^<td colspan="2" class="options"^>
		Echo %__Alisha_options%
		Echo ^</td^>^</tr^>
		Echo ^<tr^>^<td colspan="2" class="debugger"^>
		Echo !__Alisha_debugger!
		Echo ^</td^>^</tr^>
	) >> !__Alisha_compile_output!
		
	Set /A linenum=0

	Call :__Zoey_Toggle
	
	For /F "delims=" %%A In ('"!__Alisha_options_compiler! !__Alisha_options!"') Do (
		
		Set /A "__Alisha_linenum+=1"
	
		Call :__Zoey_Toggle
			
		(
			Echo ^<tr^>^<td class="numeric !__Alisha_evenodd!"^>
			Echo !__Alisha_linenum!
			Echo ^</td^>^<td class="!__Alisha_evenodd!"^>
			Echo %%A
			Echo ^</td^>^</tr^>
		) >> !__Alisha_compile_output!
	)
	
	If Exist "..\!__Alisha_Project! (!__Alisha_version!)\.\!__Alisha_Project!.exe" ( 
		(
			Echo ^<tr^>^<td colspan="2" class="debugger"^>
			Echo ^<h3^>Successfully Compiled: ".\!__Alisha_Project!.exe"^</h3^>
			Echo ^</td^>^</tr^>
		) >> !__Alisha_compile_output!
	)  Else ( 
		(
			Echo ^<tr^>^<td colspan="2" class="debugger"^>
			Echo ^<h3 class="Red"^>Failed Compiling: ".\!__Alisha_Project!.exe"^</h3^>
			Echo ^</td^>^</tr^>
		) >> !__Alisha_compile_output!
	)

	Echo ^</table^> >> !__Alisha_compile_output!
	
)

Echo ^</body^>^</html^> >> !__Alisha_compile_output!

Exit /B 0

:__Zoey_Toggle
	
	If "!__Alisha_current_toggle!"=="" (
		Set /A "__Alisha_current_toggle=1"
	)

	Set /A "__Alisha_previous_toggle=!__Alisha_current_toggle!"
	Set /A "__Alisha_current_toggle=1-!__Alisha_previous_toggle!"
	
	If !__Alisha_current_toggle! EQU 1 (
		Set __Alisha_evenodd=odd
	) Else If !__Alisha_current_toggle! EQU 0 (
		Set __Alisha_evenodd=even
	)

Exit /B